%error = ForceRequiredAddOn( "Support_Doors" );
if( %error == $Error::AddOn_NotFound )
{
	error("Brick Doors: Support_Doors is missing somehow, what did you do?");
}

datablock fxDTSBrickData(brickRotorSafeOpenData)
{
	brickFile = "./RotorSafeOpen.blb";
	uiName = "Safe - Rotor";
	//iconName = "Add-Ons/Brick_Security_Camera/Security Camera Right";

	isDoor = 1;
	isOpen = 1;
	isWaterBrick = 1;
	orientationFix = 3;

	closedCW = "brickRotorSafeClosedData";
	openCW = "brickRotorSafeOpenData";

	closedCCW = "brickRotorSafeClosedData";
	openCCW = "brickRotorSafeDoorlessData";
};

datablock fxDTSBrickData(brickRotorSafeDoorlessData : brickRotorSafeOpenData)
{
	brickFile = "./RotorSafeDoorless.blb";
	
	isOpen = 1;
};

datablock fxDTSBrickData(brickRotorSafeClosedData : brickRotorSafeOpenData)
{
	brickFile = "./RotorSafeClosed.blb";
	
	isOpen = 0;

	category = "Special";
	subCategory = "Doors";
	iconName = "Add-Ons/Brick_Safe/RotorSafe";
};

datablock fxDTSBrickData(brickKeypadSafeOpenData)
{
	brickFile = "./KeypadSafeOpen.blb";
	uiName = "Safe - Keypad";
	//iconName = "Add-Ons/Brick_Security_Camera/Security Camera Right";

	isDoor = 1;
	isOpen = 1;
	isWaterBrick = 1;
	orientationFix = 2;

	closedCW = "brickKeypadSafeClosedData";
	openCW = "brickKeypadSafeOpenData";

	closedCCW = "brickKeypadSafeClosedData";
	openCCW = "brickKeypadSafeDoorlessData";
};

datablock fxDTSBrickData(brickKeypadSafeDoorlessData : brickKeypadSafeOpenData)
{
	brickFile = "./KeypadSafeDoorless.blb";
	
	isOpen = 1;
};

datablock fxDTSBrickData(brickKeypadSafeClosedData : brickKeypadSafeOpenData)
{
	brickFile = "./KeypadSafeClosed.blb";
	
	isOpen = 0;

	category = "Special";
	subCategory = "Doors";
	iconName = "Add-Ons/Brick_Safe/KeypadSafe";
};